
//////////////////////////
////* BUILT-IN FUNCS *////
//////////////////////////

function start(args:Array<Dynamic>) : Null<Int>
{
	var self: Enemy = args[0];
	self.setHitbox(32, 32);
	self.enemyType = EnemyType.FLYING;
	return null;
}

function preShoot(args:Array<Dynamic>) : Bool
{
	return true;
}

function onHit(args:Array<Dynamic>) : Float
{
	return 0;
}

function onDeath(args:Array<Dynamic>) : Bool
{
	return true;
}

function escape(args:Array<Dynamic>) : Null<Int>
{
	return null;
}

function remove(args:Array<Dynamic>) : Null<Int>
{
	return null;
}

////////////////////////
////* CUSTOM FUNCS *////
////////////////////////

function moveEaseChild(args:Array<Dynamic>) : Null<Int>
{
	var enemy: Enemy = args[0];
	var sx: Float = args[1];
	var sy: Float = args[2];
	var mx: Float = args[3];
	var my: Float = args[4];
	var time: Float = args[5];
	Toolbelt.f("eMoveEase", [enemy, sx, sy, sx + mx, sy + my, time]);
	trace("buttmeister");
	return null;
}